library ida_ui;

import 'package:flutter/material.dart';

typedef Future<void> UiOnPressed();

/// A Calculator.
class IdaUiButton extends StatelessWidget {
  final String text;
  final UiOnPressed callback;

  IdaUiButton({
    @required this.text,
    this.callback,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      child: RaisedButton(
        child: Text(text),
        onPressed: () {
          if (this.callback != null) {
            this.callback();
          }
        },
      ),
    );
  }
}
